<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Manager Home Page</title>
    <link href = "registerstyle.css?v=2" rel="stylesheet"/>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</head>
<body>
    <!--Header + Log out button-->
    <div class="pt-3 pb-4 gradient-custom-3">
        <h1 style="position: relative; left: 25px">Expense Reimbursement System</h1>
        <button class="btn btn-success btn-block" id="logout-btn" style="float: right; position: relative; right: 20px; background-color: #000000; color: #FFFFFF">Logout</button>
    </div>

    <!--List of tabs-->
    <ul class="nav nav-tabs gradient-custom-3" role="tablist">
        <li class="nav-item" role="navigation">
            <button style="background-color: #FFFFFF;" class="nav-link active tab-custom" id="home-tab" data-bs-toggle="tab" data-bs-target="#home" type="button" role="tab" aria-controls="home" aria-selected="true">Home</button>
        </li>
        <li class="nav-item" role="navigation">
            <button style="background-color: #FFFFFF;" class="nav-link tab-custom" id="request-tab" data-bs-toggle="tab" data-bs-target="#request" type="button" role="tab" aria-controls="request" aria-selected="false" value = "1" onclick = "viewRequests(this.value)">Request List</button>
        </li>
        <li class="nav-item" role="navigation">
            <button style="background-color: #FFFFFF;" class="nav-link tab-custom" id="employee-tab" data-bs-toggle="tab" data-bs-target="#employee" type="button" role="tab" aria-controls="employee" aria-selected="false">Employee List</button>
        </li>
    </ul>

    <!--Content of the tabs-->
    <div class="tab-content" id="myTabContent">
        <!--Home tab-->
        <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
            <h2 style="position: relative; left: 25px" class="mt-4" id="home-content"></h2>
            <hr>
            <p style="position: relative; left: 25px">This is the Manager Homepage.</p>
        </div>
        <!--Request tab-->
        <div class="tab-pane fade" id="request" role="tabpanel" aria-labelledby="request-tab">
            <h2 style="position: relative; left: 25px" class="mt-4" id="view-review-content">View Requests</h2>
            <hr>
            <div style="position: relative; left: 50px">
                <button style="background-color: #000000; color: #FFFFFF; padding: 5px 35px;" type="button" value = "1" class ="btn btn-sm" id="all-request" onclick = "viewRequests(this.value)">All</button>
                <button style="background-color: #000000; color: #FFFFFF; padding: 5px 20px;" type="button" value = "3" class ="btn btn-sm" id="pending-request" onclick = "viewRequests(this.value)">Pending</button>
                <button style="background-color: #000000; color: #FFFFFF; padding: 5px 20px;" type="button" value = "2" class ="btn btn-sm" id="complete-request" onclick = "viewRequests(this.value)">Resolved</button>
            </div>
            <br>
            <div class="parent-container d-flex">
                <!--List Column-->
                <div class="container" style="width: 50%;">
                    <div class="row">
                        <div class="col">
                            <span style="position: relative; left: 30px; display: flex; flex-direction: column; " id="request-list"></span>
                        </div>
                    </div>
                </div>
                <!--Content Column-->
                <div class="container">
                    <div class="row">
                        <div class="col" style="position: relative; left: 30px;">
                            <p id="request-content-s" style="font-size: 20px;"></p>
                            <p id="request-content-e" style="font-size: 18px;"></p>
                            <p id="request-content-c" style="font-size: 18px;"></p>
                            <p id="request-content-d"></p>
                            <p id="request-content-f"></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--Employee tab-->
        <div class="tab-pane fade" id="employee" role="tabpanel" aria-labelledby="employee-tab">
            <div class="parent-container d-flex">
                <!--List Column-->
                <div class="container">
                    <div class="row">
                        <div class="col">
                            <h2 style="position: relative; left: 25px" class="mt-4">List of Employees</h2>
                            <hr>
                            <p style="position: relative; left: 25px" id="employee-content"></p>
                        </div>
                    </div>
                </div>
                <!--Form Column-->
                <div class="container">
                    <div class="row">
                        <div class="col">
                            <h2 class="mt-4">Add a New Employee</h2>
                            <hr>
                            <br>
                            <div style="color:red; display:none" id="error-div">
                                <p>Username or email already exists</p>
                            </div>
                            <form id="form">
                                <div class="form-outline mb-4">
                                    <input type="text" id="username-input" class="form-control form-control-lg" required/>
                                    <label class="form-label" for="username-input">Username</label>
                                </div>

                                <div class="form-outline mb-4">
                                    <input type="email" id="email-input" class="form-control form-control-lg" required/>
                                    <label class="form-label" for="email-input">Email</label>
                                </div>

                                <div class="form-outline mb-4">
                                    <input type="text" id="temp-password" class="form-control form-control-lg" required/>
                                    <label class="form-label" for="temp-password">Temporary Password</label>
                                </div>
                                <br>
                                <br>
                                <div class="d-flex justify-content-center">
                                    <button id="register-btn" type="submit" class="btn btn-success btn-block btn-lg" style="background-color: #000000; color: #FFFFFF">Register</button>
                                </div>

                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<script src="admin-home.js?v=10"></script>
</body>
</html>
